Studio 12.1 System Requirements

Studio is available in English, French, German, and Spanish (see links at upper right of this page), all included in a single installation.

For support information related to third-party products used with Studio, please see Third-party Products: Support.

If you are already using a 10.x version of Transaction, Query, or Direct, please see Upgrading from Studio 10.x.

Component Minimum Requirement
Desktop software - Supported versions
Operating System Windows 10 (32/64-bit)
Windows 8.1 (32/64-bit)
Windows 8.0 (32/64-bit)
Windows 7
.NET Framework

4.6.x
4.5.x

Microsoft Excel or Access (Transaction and Query only)

Office 2019 (32/64 bit)
Office 2016 (32/64 bit)
Office 365 (with license type E3 or E5)
Office 2013 (32/64 bit)
Office 2010

Install only one version of Microsoft Office when using Winshuttle desktop modules.

For optimal performance, use 64-bit Office if you are on 64-bit Windows.

Microsoft SQL Server
(for Studio with Foundation only)
SQL Server 2017
SQL Server 2017: Always On
Browser (Required for Connect licensing) Internet Explorer 11
Edge
Firefox: latest version
Chrome: latest version
SAP version

S/4HANA 1909 - 754
S/4HANA 1809 - 753
S/4HANA 1709 - 752
S/4HANA 1610 - 751
EHP8 - 750
ECC 6.0
ECC 6.0 NonERP

Winshuttle product certifications

SAP GUI

730 - patch 15
740 - patch 19
750 - patch 10
760 - patch 6

See Which SAP GUI versions are supported by Winshuttle? for details.

WFM versions Winshuttle Function Module compatibility matrix
Winshuttle Foundation versions
(for Studio with Foundation only)
Studio - Foundation compatibility matrix
RFC Authorizations Required SAP authorizations for FM and non-FM
Network Ports Ports designated by the SAP Basis team for Dialog RFC communication must be enabled throughout the networking landscape to allow secured remote connectivity.

RFC calls require ports 33xx to be open, where xx represents the SAP instance number (as configured in the SAP logon pad).
Desktop Hardware - Minimum requirement
Memory 4 GB
Storage 4 GB

Studio 12.0 and 12.0.1 System Requirements

[caption]
Component Minimum requirement
Desktop software
Operating System Windows 7/Windows 8.0 (32/64-bit)/Windows 8.1 (32/64-bit)/Windows 10 (32/64-bit)
.NET Framework 4.5 or higher
Microsoft Excel or Access (Transaction and Query only)

Office 2010

Office 2013 (32/64-bit)

Office 365 (with license type E3 or E5)

Office 2016 (32/64-bit)



Install only one version of Microsoft Office when using Winshuttle desktop modules.

For optimal performance, use 64-bit Office if you are on 64-bit Windows.

Microsoft SQL Server
(for Studio with Foundation only)
SQL Server 2017
SQL Server 2017: Always On
Browser (Required for Connect licensing) Internet Explorer 11

Edge

Firefox: latest version

Chrome: latest version
SAP version ECC 6.0 NonERP, ECC 6.0, EHP8 - 750, S/4HANA 1610 - 751, S/4HANA 1709 - 752, S/4HANA 1809 - 753

Winshuttle product certifications
SAP GUI

730 - patch 15 and above

740 - patch 17 and above

750 - patch 4 and above

See Which SAP GUI versions are supported by Winshuttle? for details.

WFM versions Winshuttle Function Module compatibility matrix
Winshuttle Foundation versions
(for Studio with Foundation only)
Studio - Foundation compatibility matrix
RFC Authorizations Required SAP authorizations for FM and non-FM
Network Ports Ports designated by the SAP Basis team for Dialog RFC communication must be enabled throughout the networking landscape to allow secured remote connectivity.



RFC calls require ports 33xx to be open, where xx represents the SAP instance number (as configured in the SAP logon pad).
Desktop Hardware
Memory 4 GB
Storage 4 GB

Studio 11.4.0 (Also apply to 11.2.12) System Requirements

Component Minimum Requirement
Desktop software - Supported versions
Operating System Windows 7/Windows 8.0 (32/64-bit)/Windows 8.1 (32/64-bit)/Windows 10 (32/64-bit)
.NET Framework 4.5 or higher
Microsoft Excel or Access (Transaction and Query only)

Office 2010
Office 2013 (32/64-bit)
Office 365 (with license type E3 or E5)
Office 2016 (32/64-bit)

Install only one version of Microsoft Office when using Winshuttle desktop modules.

For optimal performance, use 64-bit Office if you are on 64-bit Windows.

Browser (Required for Connect licensing) Internet Explorer 11
Edge
Firefox: latest version
Chrome: latest version
SAP version ECC 4.7, ECC 6.0 NonERP, ECC6.0, EHP8 - 750, S/4HANA 1610 - 751
SAP GUI 730, 740, 740 for S/4HANA, 750, with minimum required patch or higher. See Which SAP GUI versions are supported by Winshuttle? for details.
WFM versions See the Winshuttle Function Module compatibility matrix.
RFC Authorizations See required SAP authorizations for FM and non-FM.
Network Ports Ports designated by the SAP Basis team for Dialog RFC communication must be enabled throughout the networking landscape to allow secured remote connectivity.

RFC calls require ports 33xx to be open, where xx represents the SAP instance number (as configured in the SAP logon pad).
Desktop Hardware - Minimum requirements
Memory 4 GB
Storage 4 GB

Studio 11.3.0 (Also apply to 11.2.5) System Requirements

Component Minimum requirement
Desktop software - Supported versions
Operating System Windows 7/Windows 8.0 (32/64-bit)/Windows 8.1 (32/64-bit)/Windows 10 (32/64-bit)
.NET Framework 4.5 or higher
Microsoft Excel or Access (Transaction and Query only)

Office 2010
Office 2013 (32/64-bit)
Office 365 (with license type E3 or E5)
Office 2016 (32/64-bit)

Install only one version of Microsoft Office when using Winshuttle desktop modules.

Browser (Required for Connect licensing) Internet Explorer 11
Edge
Firefox: latest version
Chrome: latest version
SAP version 470 or higher for Winshuttle Function Module (WFM)
SAP GUI 730, 740, 740 for HANA with minimum required patch or higher. See Which SAP GUI versions are supported by Winshuttle? for details.
WFM versions See the Winshuttle Function Module compatibility matrix.
RFC Authorizations See required SAP authorizations for FM and non-FM.
Network Ports Ports designated by the SAP Basis team for Dialog RFC communication must be enabled throughout the networking landscape to allow secured remote connectivity.

RFC calls require ports 33xx to be open, where xx represents the SAP instance number (as configured in the SAP logon pad).
Desktop Hardware - Minimum requirements
Memory 4 GB
Storage 4 GB

Studio 11.2.0 System Requirements

Component Minimum requirement
Desktop software - Supported versions
Operating System Windows 7/Windows 8.0 (32/64-bit)/Windows 8.1 (32/64-bit)/Windows 10 (32/64-bit)
.NET Framework 4.5
Microsoft Excel or Access (Transaction and Query only) Office 2010
Office 2013 (32/64-bit)
Office 365 (with license type E3 or E5)
Office 2016 (32/64-bit)

Install only one version of Microsoft Office when using Winshuttle desktop modules.
Browser (Required for Connect licensing) Internet Explorer 11
Edge
Firefox: latest version
Chrome: latest version
SAP version 470 or higher for Winshuttle Function Module
SAP GUI 740, 740 for HANA with minimum required patch or higher. See Which SAP GUI versions are supported by Winshuttle? for details.
WFM versions See the Winshuttle Function Module compatibility matrix.
RFC Authorizations See required SAP authorizations for FM and non-FM.
Network Ports Ports designated by the SAP Basis team for Dialog RFC communication must be enabled throughout the networking landscape to allow secured remote connectivity.

RFC calls require ports 33xx to be open, where xx represents the SAP instance number (as configured in the SAP logon pad).
Desktop Hardware - Minimum requirements
Memory 4 GB
Storage 4 GB

Upgrading from Studio 10.x

You can run Studio 12.1 and Studio 10.x on the same computer (just as you can run Studio 11.x and Studio 10.x on the same computer), but scripts that are opened in 10.x will be set to run automatically.

To run Transaction 10.x scripts in Studio 12.1, you need to save the script as 12.1, as follows:

  1. Open the 10.x script in Studio 12.1.
  2. Click File, and then click Save.
  3. In the Save box, click the Version list, and then click Transaction.

Also, the Excel Add-ins cannot be active at the same time. To inactivate the 10.x Excel Add-ins, do the following:

  1. Start Excel, and open a blank workbook.
  2. Click the File tab, and then click Options.
  3. Click Add-Ins.
  4. In the Manage list, click COM Add-ins, and then click Go.
  5. Uncheck the QUERY and TRANSACTION boxes, and then click OK.

Studio - Foundation compatibility matrix

With the exception of Studio 11.0 (which is not compatible with any version of Foundation), every version of Studio is compatible with the same-numbered version of Foundation.

Studio 11.2.0 is compatible with the 11.2.0 and 11.2.5 versions of Foundation.

For Winshuttle Function Module (WFM) compatibility with Studio, see the Winshuttle Function Module compatibility matrix.

 Foundation version
Studio
version
  10.x 11.1.1 11.2.0
11.2.5
11.2.12 11.4.0 11.4.1 12.x
10.x Yes - - - - - -
11.0.x - - - - - - -
11.1.1 - Yes - - - - -
11.2.0 - - Yes - - - -
11.2.12 - - - Yes - - -
11.4.0 - - - - Yes - -
11.4.1 - - - - - Yes -
12.x - - - - - - Yes

Yes = Supported

- (dash) = Not supported